import xml.etree.ElementTree as xml
from loader import Loader

class TouristDB(list):

	def __init__(self, loader):
		assert isinstance(loader, Loader)
		self.loader = loader

	def LoadFromXml(self):
		raw = self.loader.LoadTourists()
		tree = xml.parse(raw)
		for one in tree.getroot():
			id = int(one.attrib.pop("id"))
			x = int(one.attrib.pop("x"))
			y = int(one.attrib.pop("y"))
			name = one.attrib.values() # last one
			if name: # maybe?
				name = name[0]
			else:
				name = None
			self.append(Tourist(id, name, x, y))


class Tourist(object):

	def __init__(self, name=None, id, x, y):
		self.name = name
		self.x = x
		self.y = y


if __name__ == "__main__":
	l = Loader("192.168.2.76:80")
	db = TouristDB(l)
	db.LoadFromXml()
	print db
	