import xml.etree.ElementTree as xml
from loader import Loader

class TownDB(list):

	def __init__(self, loader):
		assert isinstance(loader, Loader)
		self.loader = loader

	def LoadFromXml(self):
		raw = self.loader.LoadTowns()
		tree = xml.parse(raw)
		for town in tree.getroot():
			x = int(town.attrib.pop("x"))
			y = int(town.attrib.pop("y"))
			name = town.attrib.values()[0] # last one
			self.append(Town(name, x, y))


class Town(object):

	def __init__(self, name, x, y):
		self.name = name
		self.x = x
		self.y = y

	def __repr__(self):
		return "<Town object at %(x)d, %(y)d>" % {"name": unicode(self.name), "x": self.x, "y": self.y}

	def __str__(self):
		return "%(name)s (%(x)d, %(y)d)" % {"name": unicode(self.name), "x": self.x, "y": self.y}


if __name__ == "__main__":
	l = Loader("192.168.2.76:80")
	db = TownDB(l)
	db.LoadFromXml()
	print db
	